% alzheimer's data from j. med chem
% determinate background knowledge

% substitution X at positions 6 or 7

x_subst(b1,7,cl).
x_subst(c1,6,cl).
x_subst(d1,6,och3).
x_subst(e1,6,cf3).
x_subst(f1,6,f).
x_subst(hh1,6,cl).
x_subst(ii1,6,cl).
x_subst(jj1,6,f).
x_subst(kk1,6,f).
x_subst(ll1,6,cf3).

% substitution R in middle ring
% number of alkyl substitutions

alk_groups(a1,0).
alk_groups(b1,0).
alk_groups(c1,0).
alk_groups(d1,0).
alk_groups(e1,0).
alk_groups(f1,0).
alk_groups(g1,0).
alk_groups(h1,1).
alk_groups(i1,3).
alk_groups(j1,2).
alk_groups(k1,2).
alk_groups(l1,3).
alk_groups(m1,4).
alk_groups(n1,4).
alk_groups(o1,4).
alk_groups(p1,1).
alk_groups(q1,1).
alk_groups(r1,1).
alk_groups(s1,1).
alk_groups(t1,1).
alk_groups(u1,1).
alk_groups(v1,1).
alk_groups(w1,1).
alk_groups(x1,1).
alk_groups(y1,1).
alk_groups(z1,1).
alk_groups(aa1,1).
alk_groups(bb1,1).
alk_groups(cc1,1).
alk_groups(dd1,1).
alk_groups(ee1,1).
alk_groups(ff1,1).
alk_groups(hh1,1).
alk_groups(ii1,1).
alk_groups(jj1,1).
alk_groups(kk1,1).
alk_groups(ll1,1).




r_subst_1(a1,h).
r_subst_1(b1,h).
r_subst_1(c1,h).
r_subst_1(d1,h).
r_subst_1(e1,h).
r_subst_1(f1,h).
r_subst_1(g1,h).
n_val(g1,1).

r_subst_1(h1,single_alk(1)).
r_subst_1(i1,single_alk(3)).
r_subst_1(j1,single_alk(2)).
r_subst_2(j1,bond(n, group(ch3, 2))).
r_subst_1(k1,single_alk(2)).
r_subst_2(k1,aro(1)).
r_subst_1(l1,single_alk(3)).
r_subst_2(l1,o).
r_subst_3(l1,aro(1)).
r_subst_1(m1,single_alk(3)).
r_subst_2(m1,double_alk(1)).
r_subst_3(m1,aro(2)).
r_subst_1(n1,single_alk(3)).
r_subst_2(n1,double_alk(1)).
r_subst_3(n1,aro(2)).
r_subst_1(o1,single_alk(3)).
r_subst_2(o1,double_alk(1)).
r_subst_3(o1,aro(2)).
r_subst_1(p1,single_alk(1)).
r_subst_2(p1,aro(1)).
r_subst_1(q1,single_alk(1)).
r_subst_2(q1,aro(1)).
r_subst_1(r1,single_alk(1)).
r_subst_2(r1,aro(1)).
r_subst_1(s1,single_alk(1)).
r_subst_2(s1,aro(1)).
r_subst_1(t1,single_alk(1)).
r_subst_2(t1,aro(1)).
r_subst_1(u1,single_alk(1)).
r_subst_2(u1,aro(1)).
r_subst_1(v1,single_alk(1)).
r_subst_2(v1,aro(1)).
r_subst_1(w1,single_alk(1)).
r_subst_2(w1,aro(1)).
r_subst_1(x1,single_alk(1)).
r_subst_2(x1,aro(1)).
r_subst_1(y1,single_alk(1)).
r_subst_2(y1,aro(1)).
r_subst_1(z1,single_alk(1)).
r_subst_2(z1,aro(1)).
r_subst_1(aa1,single_alk(1)).
r_subst_2(aa1,aro(1)).
r_subst_1(bb1,single_alk(1)).
r_subst_2(bb1,aro(1)).
r_subst_1(cc1,single_alk(1)).
r_subst_2(cc1,aro(1)).
r_subst_1(dd1,single_alk(1)).
r_subst_2(dd1,aro(1)).
r_subst_1(ee1,single_alk(1)).
r_subst_2(ee1,aro(1)).
r_subst_1(ff1,single_alk(1)).
r_subst_2(ff1,aro(1)).
r_subst_1(hh1,single_alk(1)).
r_subst_2(hh1,aro(1)).
r_subst_1(ii1,single_alk(1)).
r_subst_2(ii1,aro(1)).
r_subst_1(jj1,single_alk(1)).
r_subst_2(jj1,aro(1)).
r_subst_1(kk1,single_alk(1)).
r_subst_2(kk1,aro(1)).
r_subst_1(ll1,single_alk(1)).
r_subst_2(ll1,aro(1)).

% number of substituents in ring
% 0 == normal benzene ring

ring_substitutions(k1,0).
ring_substitutions(l1,0).
ring_substitutions(m1,0).
ring_substitutions(n1,1).
ring_substitutions(o1,1).
ring_substitutions(p1,0).
ring_substitutions(q1,1).
ring_substitutions(r1,1).
ring_substitutions(s1,1).
ring_substitutions(t1,1).
ring_substitutions(u1,1).
ring_substitutions(v1,1).
ring_substitutions(w1,1).
ring_substitutions(x1,1).
ring_substitutions(y1,1).
ring_substitutions(z1,1).
ring_substitutions(aa1,1).
ring_substitutions(bb1,1).
ring_substitutions(cc1,1).
ring_substitutions(dd1,1).
ring_substitutions(ee1,1).
ring_substitutions(ff1,5).
ring_substitutions(hh1,0).
ring_substitutions(ii1,1).
ring_substitutions(jj1,0).
ring_substitutions(kk1,1).
ring_substitutions(ll1,0).

% substitents in ring
% ring_subs_Pos(Drug,Substituent)

ring_subst_4(n1,f).
ring_subst_3(o1,f).
ring_subst_2(q1,cl).
ring_subst_3(r1,cl).
ring_subst_4(s1,cl).
ring_subst_2(t1,f).
ring_subst_3(u1,f).
ring_subst_4(v1,f).
ring_subst_2(w1,och3).
ring_subst_3(x1,och3).
ring_subst_4(y1,och3).
ring_subst_2(z1,ch3).
ring_subst_3(aa1,ch3).
ring_subst_4(bb1,ch3).
ring_subst_2(cc1,cf3).
ring_subst_3(dd1,cf3).
ring_subst_4(ee1,cf3).
ring_subst_2(ff1,f).
ring_subst_3(ff1,f).
ring_subst_4(ff1,f).
ring_subst_5(ff1,f).
ring_subst_6(ff1,f).
ring_subst_4(ii1,f).
ring_subst_2(kk1,cf3).
